﻿<style>
    .custom_textbox{
        border:0px;
    }
</style>
<script type="text/javascript">
    $(document).ready(function () {
        
        cmdSearch.SetEnabled(true);
        cmdClear.SetEnabled(true);
        cmdAdd.SetEnabled(true);
        cmdEdit.SetEnabled(false);
        cmdDelete.SetEnabled(false);
        cmdSave.SetEnabled(false);
        cmdCancel.SetEnabled(false);

        I_PORT_DISCHARGE_CD.SetValue("");
        //I_PORT_LOADING_NAME.SetValue("");
    });
    var CLEAR_STATUS = "N";
    var isOnSearching = "N";
    var isOnEditing = "N";
    var mode;
    function OnSearch(s, e) {
        Gv_PORT_DISCHARGE.UnselectAllRowsOnPage();
        isOnSearching = "Y";
        Gv_PORT_DISCHARGE.ClearFilter();
    }

    function onBeginCallbackPORT_DISCHARGE(s, e) {
        
        var countVisibleIndex = Gv_PORT_DISCHARGE.GetTopVisibleIndex() + Gv_PORT_DISCHARGE.GetVisibleRowsOnPage();
        if (isOnEditing == "Y") {

        }
        else if (CLEAR_STATUS == "Y"){

        }
        else {
            SetFilterParameterSearch(s, e);
        }

    }
    function SetFilterParameterSearch(s, e) {        
        var PORT_DISCHARGE_CD = I_PORT_DISCHARGE_CD.GetText();
        e.customArgs["PORT_DISCHARGE_CD"] = PORT_DISCHARGE_CD;
    }
    function OnEndCallback(s, e) {
         CLEAR_STATUS = "N";
         isOnSearching = "N";
         isOnEditing = "N";
    }

    function Gv_PORT_DISCHARGE_SelectionChanged(s, e) {
        
        if (Gv_PORT_DISCHARGE.GetSelectedRowCount() > 0) {
            
            cmdDelete.SetEnabled(true);
            cmdEdit.SetEnabled(true);
        } else {
            cmdEdit.SetEnabled(false);
            cmdDelete.SetEnabled(false);
        }
    }

    function EditBehavior() {
        isOnEditing = "Y";
        cmdSearch.SetEnabled(false);
        cmdClear.SetEnabled(false);
        cmdAdd.SetEnabled(false);
        cmdEdit.SetEnabled(false);
        cmdDelete.SetEnabled(false);
        cmdSave.SetEnabled(true);
        cmdCancel.SetEnabled(true);
    }

    function EditData(s, e) {
        mode = "edit";
        var selectedrow = Gv_PORT_DISCHARGE.GetSelectedRowCount();
        var selectedKey = Gv_PORT_DISCHARGE.GetSelectedKeysOnPage();
        if (selectedrow == 0) {
            alert("@ViewBag.MSPX00006ERR");
        }
        else if (selectedrow > 1) {
            alert("@ViewBag.MSPX00009ERR");
        }
        else {
            //alert("test");
            Gv_PORT_DISCHARGE.StartEditRowByKey(selectedKey);
            //alert("test2");
            EditBehavior();
        }
    }

    function CancelData(s, e) {
        var countVisibleIndex = Gv_PORT_DISCHARGE.GetTopVisibleIndex() + Gv_PORT_DISCHARGE.GetVisibleRowsOnPage();
        if (countVisibleIndex > 0) {
            CLEAR_STATUS = "N";
        }
        else {
            CLEAR_STATUS = "Y";
        }
        NormalBehavior();
        Gv_PORT_DISCHARGE.CancelEdit();
    }

    function SaveData(s, e) {
               
        if (mode == "add") {
            SaveAddData();
        }
        else if (mode == "edit") {
            SaveEditData();
        }
    }

    function SaveEditData(s, e) {

        //var _PORT_DISCHARGE_CD = Gv_PORT_DISCHARGE.GetEditValue("PORT_DISCHARGE_CD");
        //var _PORT_DISCHARGE_NAME = Gv_PORT_DISCHARGE.GetEditValue("PORT_DISCHARGE_NAME");
        var _PORT_DISCHARGE_CD = PORT_DISCHARGE_CD.GetText(); 
        var _PORT_DISCHARGE_NAME = PORT_DISCHARGE_NAME.GetText();
        $.ajax({
            type: "POST",
            url: "@Url.Content("~/PORT_DISCHARGE/Update")",
            data: {
                PORT_DISCHARGE_CD: _PORT_DISCHARGE_CD,
                PORT_DISCHARGE_NAME: _PORT_DISCHARGE_NAME,
            },
        success: function (resultMessage) {
            alert(resultMessage.messages);
            if(resultMessage.success == "true"){            
                isOnSearching = "Y";
                NormalBehavior();
                Gv_PORT_DISCHARGE.PerformCallback();
                Gv_PORT_DISCHARGE.CancelEdit();
            }                
        },
        error: function (resultMessage) {
            alert(resultMessage);
        }
    });
    }

    function NormalBehavior() {
        cmdSearch.SetEnabled(true);
        cmdClear.SetEnabled(true);

        //if (Gv_PORT_DISCHARGE.GetVisibleRowsOnPage() <= 0) {
            //cmdDownload.SetEnabled(false);
            cmdEdit.SetEnabled(false);
            cmdDelete.SetEnabled(false);
        //}
        //else {
        //    //cmdDownload.SetEnabled(true);
        //    cmdEdit.SetEnabled(true);
        //    cmdDelete.SetEnabled(true);
        //}
        cmdAdd.SetEnabled(true);
        cmdSave.SetEnabled(false);
        cmdCancel.SetEnabled(false);
        Gv_PORT_DISCHARGE.UnselectAllRowsOnPage();
    }

    function DeleteData(s, e) {
        var selectedrow = Gv_PORT_DISCHARGE.GetSelectedRowCount();

        if (selectedrow == 0) {
            alert("@ViewBag.MSPX00006ERR");
        }
        else {
            
            if (confirm('Are you sure want to delete?'))
            {
                var x = Gv_PORT_DISCHARGE.GetSelectedKeysOnPage();
                var _PORT_DISCHARGE_CD = '';// x[0].toString();
                // var fields =''; //_SHIP_AGENT_CD.split('|');
                var _PORT_DISCHARGE_CD_List = '';//fields[0].toString()+''+fields[1].toString();

                for(var i = 0; i < Gv_PORT_DISCHARGE.GetSelectedRowCount(); i++)
                {
                    _PORT_DISCHARGE_CD = x[i].toString();
                    //                    fields = _SHIP_AGENT_CD.split('|');
                    _PORT_DISCHARGE_CD_List += ";";
                    _PORT_DISCHARGE_CD_List += _PORT_DISCHARGE_CD;//+''+fields[1].toString();                    
                }

                $.ajax(
                {
                    type: "POST",
                    url: "@Url.Content("~/PORT_DISCHARGE/Delete")",
                    data: {
                        PORT_DISCHARGE_CD: _PORT_DISCHARGE_CD_List
                    },
                    success: function (resultMessage) {
                    alert(resultMessage.messages);
                    Gv_PORT_DISCHARGE.UnselectAllRowsOnPage(); 
                            
                    if(resultMessage.success == "false"){
                    } 
                    else {                    
                        Gv_PORT_DISCHARGE.CancelEdit();
                        NormalBehavior();
                    }                
                },
                error: function (resultMessage) {
                    alert(resultMessage.messages);
                }
            });
        }            
     }
    }

    function CancelData(s, e) {
        var countVisibleIndex = Gv_PORT_DISCHARGE.GetTopVisibleIndex() + Gv_PORT_DISCHARGE.GetVisibleRowsOnPage();
        if (countVisibleIndex > 0) {
            CLEAR_STATUS = "N";
        }
        else {
            CLEAR_STATUS = "Y";
        }
        NormalBehavior();
        Gv_PORT_DISCHARGE.CancelEdit();
    }

    function AddData(s, e) {

        mode = "add";
        var countVisibleIndex = Gv_PORT_DISCHARGE.GetTopVisibleIndex() + Gv_PORT_DISCHARGE.GetVisibleRowsOnPage();
        if (countVisibleIndex > 0) {
            CLEAR_STATUS = "N";
        }
        else {
            CLEAR_STATUS = "Y";
        }
        Gv_PORT_DISCHARGE.AddNewRow();
        AddBehavior();
    }

    function AddBehavior() {
        isOnEditing = "Y";
        cmdSearch.SetEnabled(false);
        cmdClear.SetEnabled(false);
        //cmdDownload.SetEnabled(false);
        cmdAdd.SetEnabled(false);
        cmdEdit.SetEnabled(false);
        cmdDelete.SetEnabled(false);
        cmdSave.SetEnabled(true);
        cmdCancel.SetEnabled(true);
    }

    function SaveAddData(s, e) {       

        var _PORT_DISCHARGE_CD = PORT_DISCHARGE_CD.GetText(); //Gv_PORT_DISCHARGE.GetEditValue("PORT_DISCHARGE_CD");
        var _PORT_DISCHARGE_NAME = PORT_DISCHARGE_NAME.GetText();//Gv_PORT_DISCHARGE.GetEditValue("PORT_DISCHARGE_NAME");
        
        $.ajax({
            type: "POST",
            url: "@Url.Content("~/PORT_DISCHARGE/AddNew")",
            data: {
                PORT_DISCHARGE_CD: _PORT_DISCHARGE_CD,
                PORT_DISCHARGE_NAME: _PORT_DISCHARGE_NAME,
            },
            success: function (resultMessage) {
            alert(resultMessage.messages);

            if(resultMessage.success == "false"){

            } 
            else {
                isOnSearching = "Y";
                NormalBehavior();
                Gv_PORT_DISCHARGE.PerformCallback();
                Gv_PORT_DISCHARGE.CancelEdit();
            }                
        },
        error: function (resultMessage) {
            alert(resultMessage);
        }
    });
    }
    function OnClear(s, e) {
        CLEAR_STATUS = "Y";

        I_PORT_DISCHARGE_CD.SetText('');        
        cmdAdd.SetEnabled(true);
        cmdEdit.SetEnabled(false);
        cmdDelete.SetEnabled(false);
        cmdSave.SetEnabled(false);
        cmdCancel.SetEnabled(false);
        Gv_PORT_DISCHARGE.UnselectAllRowsOnPage();
        Gv_PORT_DISCHARGE.PerformCallback();
    }

</script>
